#
# spec file for package python-ldap (Version 2.0.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db db42 diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           python-ldap
BuildRequires:  krb5 openldap2 openldap2-devel python-devel
License:        Other License(s), see package
Group:          Development/Libraries/Python
Autoreqprov:    on
Version:        2.0.11
Release:        14.2
Summary:        Python LDAP interface
URL:            http://python-ldap.sourceforge.net/
Source:         python-ldap-%{version}.tar.bz2
Source1:        setup.cfg.suse-linux
Patch:          python-ldap-sasl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
python-ldap provides an LDAP client API for Python in the spirit of
RFC1823. It includes a Python module called _ldapmodule that wraps an
LDAP C library, an object-oriented API for X.500 directories. See
python-ldap pages on http://python-ldap.sourceforge.net/



Authors:
--------
    David Leonard <David.Leonard@csee.uq.edu.au>

%debug_package
%prep
%setup
%patch
cp %{S:1} setup.cfg

%build
export CFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED" 
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc README Demo CHANGES TODO LICENCE

%changelog -n python-ldap
* Tue Feb 28 2006 - jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - jmatejek@suse.cz
- update to 2.0.11
- using setup.cfg source designed for SuSE (minor adjustments
  against Build/setup.cfg.suse-linux
* Tue Oct 25 2005 - rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with·
  OpenLDAP 2.3
* Thu Oct 06 2005 - matejcik@suse.cz
- update to 2.0.10
* Wed Jun 29 2005 - ltinkl@suse.cz
- update to 2.0.8
* Tue May 10 2005 - mcihar@suse.cz
- update to 2.0.7
* Mon Dec 06 2004 - mcihar@suse.cz
- update to 2.0.6
* Tue Nov 23 2004 - mcihar@suse.cz
- update to 2.0.5
* Fri Jul 30 2004 - mcihar@suse.cz
- update to 2.0.2
* Wed Jun 30 2004 - mcihar@suse.cz
- update to 2.0.1
* Wed May 19 2004 - mcihar@suse.cz
- update to 2.0.0 final
* Fri Jan 30 2004 - mcihar@suse.cz
- include licence
* Fri Jan 23 2004 - mcihar@suse.cz
- updated to 2.0.0pre19
* Tue Dec 16 2003 - mcihar@suse.cz
- updated to 2.0.0pre18
* Thu Nov 13 2003 - mcihar@suse.cz
- updated to 2.0.0pre15
* Wed Oct 15 2003 - mcihar@suse.cz
- don't build as root
- updated to 2.0.0pre14:
  ldap.ldapobject:
  * Added class attribute LDAPObject.network_timeout mapped to
  set_option(ldap.OPT_NETWORK_TIMEOUT,..)
  * LDAPObject.search_ext(): Pass arguments serverctrls,clientctrls
  to _ldap.search_ext()
  ldap.sasl:
  * Added class ldap.sasl.external for handling
  the SASL mechanism EXTERNAL
  * Dictionary ldap.sasl.saslmech_handler_class built during import
  for all the known SASL mechanisms derived from class definitions
  ldap.schema:
  * More graceful handling of KeyError in SubSchema.attribute_types()
  * New method SubSchema.get_inheritedattr() for retrieving inherited
  class attributes
  * New method SubSchema.get_inheritedobj() for retrieving a
  schema element instance including all inherited class attributes
* Mon Aug 11 2003 - mcihar@suse.cz
- updated to 2.0.0pre13
* Mon Jun 16 2003 - mcihar@suse.cz
- use record-rpm
* Tue May 27 2003 - mcihar@suse.cz
- updated to 2.0.0pre12
* Tue May 13 2003 - mcihar@suse.cz
- updated to 2.0.0pre11
- use distutils for build
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Fri Jan 31 2003 - ro@suse.de
- use sasl2
* Fri Jan 10 2003 - mcihar@suse.cz
- updated to 2.0.0pre06
- build with more features
- add demo into docs
* Mon Aug 26 2002 - rhafer@suse.de
- LDAP_FILT_MAXSIZ isn't defined in libldap anymore
* Wed Aug 14 2002 - vinil@suse.cz
- new version: 2.0.0pre05
* Mon Jun 03 2002 - stepan@suse.de
- use %%_lib instead of lib
* Wed Feb 27 2002 - vinil@suse.cz
- version 2.0.0pre04 to work with openldap2 (bug #13948)
* Tue Sep 04 2001 - rvasice@suse.cz
- fix Group tag to Development/Libraries/Python
* Thu Mar 15 2001 - kukuk@suse.de
- Remove openldap from Requires
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Nov 22 2000 - mt@suse.de
- renamed from pyldapm to python-ldap
- updated to python-ldap-1.10alpha3
- adopted spec file for python2.0
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild (added ldaplib)
* Sun Oct 29 2000 - kukuk@suse.de
- fix need for build
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 26 1999 - mt@suse.de
- new version 1.5
